"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_apiLoading = require("../../../common/libraries/apiLoading.js");
const gen_Apis = require("../../../gen/Apis.js");
const INDEX_message_center_list_model = require("./model.js");
require("../../../common/libraries/request.js");
const common_store_useWeAppAuthStore = require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWorkStore.js");
common_store_useWeAppAuthStore.useWeAppAuthStore();
const getList = () => {
  var _a, _b;
  common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.Msg.MsgPropertyAnnouncements.List, (_b = (_a = INDEX_message_center_list_model.useModel) == null ? void 0 : _a.formData) == null ? void 0 : _b.value).then((res) => {
    INDEX_message_center_list_model.useModel.listData.value = [...INDEX_message_center_list_model.useModel.listData.value, ...res == null ? void 0 : res.data];
    INDEX_message_center_list_model.useModel.metaData.value = res == null ? void 0 : res.meta;
    console.log(res);
  });
};
const method = {
  getList,
  loadMore(page) {
    INDEX_message_center_list_model.useModel.formData.value.page = page;
    getList();
  },
  toDetaile(e) {
    common_vendor.index.navigateTo({
      url: `/INDEX/message_center/show/index?id=${e == null ? void 0 : e.id}`
    });
  }
};
exports.method = method;
